io.agora.rtc

## Class TranscodingUser

- java.lang.Object
- - io.agora.rtc.TranscodingUser

-     public class TranscodingUser
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `alpha`
    `private int` | `audioChannel`
    `private int` | `height`
    `private int` | `uid`
    `private java.lang.String` | `userId`
    `private int` | `width`
    `private int` | `x`
    `private int` | `y`
    `private int` | `zOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranscodingUser()`
    `TranscodingUser(int uid, java.lang.String userId, int x, int y, int width, int height, int zOrder, double alpha, int audioChannel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAlpha()`
    `int` | `getAudioChannel()`
    `int` | `getHeight()`
    `int` | `getUid()`
    `java.lang.String` | `getUserId()`
    `int` | `getWidth()`
    `int` | `getX()`
    `int` | `getY()`
    `int` | `getZOrder()`
    `void` | `setAlpha(double alpha)`
    `void` | `setAudioChannel(int audioChannel)`
    `void` | `setHeight(int height)`
    `void` | `setUid(int uid)`
    `void` | `setUserId(java.lang.String userId)`
    `void` | `setWidth(int width)`
    `void` | `setX(int x)`
    `void` | `setY(int y)`
    `void` | `setZOrder(int zOrder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uid

          private int uid

    - #### userId

          private java.lang.String userId

    - #### x

          private int x

    - #### y

          private int y

    - #### width

          private int width

    - #### height

          private int height

    - #### zOrder

          private int zOrder

    - #### alpha

          private double alpha

    - #### audioChannel

          private int audioChannel

  - ### Constructor Detail

    - #### TranscodingUser

          public TranscodingUser()

    - #### TranscodingUser

          public TranscodingUser(int uid,
                                 java.lang.String userId,
                                 int x,
                                 int y,
                                 int width,
                                 int height,
                                 int zOrder,
                                 double alpha,
                                 int audioChannel)

  - ### Method Detail

    - #### getUid

          public int getUid()

    - #### setUid

          public void setUid(int uid)

    - #### getUserId

          public java.lang.String getUserId()

    - #### setUserId

          public void setUserId(java.lang.String userId)

    - #### getX

          public int getX()

    - #### setX

          public void setX(int x)

    - #### getY

          public int getY()

    - #### setY

          public void setY(int y)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getZOrder

          public int getZOrder()

    - #### setZOrder

          public void setZOrder(int zOrder)

    - #### getAlpha

          public double getAlpha()

    - #### setAlpha

          public void setAlpha(double alpha)

    - #### getAudioChannel

          public int getAudioChannel()

    - #### setAudioChannel

          public void setAudioChannel(int audioChannel)